PRECIOUS(1)

NAME
precious tidy - Tidy/fix path(s) using tidiers

SYNOPSIS
precious tidy [OPTIONS] <--all|--git|--staged|--git-diff-from <REF>|--staged-with-stash|PATHS>

DESCRIPTION
Tidy/fix path(s) using tidiers

  Arguments:

[PATHS]...
    A list of paths on which to operate

OPTIONS

--command <COMMAND>
    The command to run. If specified, only this command will be run. This should match the command name in your config file

-a, --all
    Run against all files in the current directory and below

-g, --git
    Run against files that have been modified according to git

-s, --staged
    Run against files that are staged for a git commit

-d, --git-diff-from <REF>
    Run against files that are different as compared with the given `<REF>`. This can be a branch name, like `master`, or an ref name like `HEAD~6` or `master@{2.days.ago}`. See `git help rev-parse` for more options. Note that this will _not_ see files with uncommitted changes in the local working directory

-v, --verbose
    Enable verbose output

--debug
    Enable debugging output

--staged-with-stash
    Run against file content that is staged for a git commit, stashing all unstaged content first. The stash push/pop tends to do weird things to the working directory, and is not recommended for scripting

--label <LABEL>
    If this is set, then only commands matching this label will be run. If this isn't set then commands without a label or with the label "default" will be run

--trace
    Enable tracing output (maximum logging)

-h, --help
    Print help

-V, --version
    Print version